Bug 654376 - (CVE-2010-4168) CVE-2010-4168 OpenTTD: multiple remote DoS vulnerabilities
CVE-2010-4168 OpenTTD: multiple remote DoS vulnerabilities
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20101114,reported=20101114,sou...
: Security
Depends On: 654381
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 13:02 EST by Vincent Danen
Modified: 2011-02-20 05:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-20 05:20:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-11-17 13:02:53 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4168 to
the following vulnerability:

Name: CVE-2010-4168
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4168
Assigned: 20101104
Reference: MLIST:[oss-security] 20101114 CVE request for OpenTTD
Reference: URL: http://marc.info/?l=oss-security&m=128975491407670&w=2
Reference: MLIST:[oss-security] 20101115 Re: CVE request for OpenTTD
Reference: URL: http://marc.info/?l=oss-security&m=128984298802678&w=2
Reference: CONFIRM: http://security.openttd.org/en/CVE-2010-4168
Reference: CONFIRM: http://security.openttd.org/en/patch/28.patch
Reference: CONFIRM: http://vcs.openttd.org/svn/changeset/21182
Reference: VUPEN:ADV-2010-2985
Reference: URL: http://www.vupen.com/english/advisories/2010/2985

Multiple use-after-free vulnerabilities in OpenTTD 1.0.x before 1.0.5
allow (1) remote attackers to cause a denial of service (invalid write
and daemon crash) by abruptly disconnecting during transmission of the
map from the server, related to network/network_server.cpp; (2) remote
attackers to cause a denial of service (invalid read and daemon crash)
by abruptly disconnecting, related to network/network_server.cpp; and
(3) remote servers to cause a denial of service (invalid read and
application crash) by forcing a disconnection during the join process,
related to network/network.cpp.
Comment 1 Vincent Danen 2010-11-17 13:17:56 EST
Created openttd tracking bugs for this issue

Affects: fedora-all [bug 654381]
Comment 2 Felix Kaechele 2010-11-20 19:14:08 EST
1.0.5 is out. I will push the update later today.

Note You need to log in before you can comment on or make changes to this bug.